<?php

abstract class AbstractObserver
{
   abstract function update($data, $faild = null);

   protected function getLatestStatus($data)
   {
        return array_pop((array_slice($data, -1)));
   }
}
